# Created by pyp2rpm-1.0.1
%global pypi_name grappelli_safe
%global with_python3 1
%define version 0.3.13

Name:           python-grappelli-safe
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        A snapshot of the grappelli_2 branch of django-grappelli, packaged as a dependency for the Mezzanine CMS for Django

License:        BSD
Source0:        https://pypi.python.org/packages/source/g/grappelli_safe/grappelli_safe-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
grappelli_safe was created to provide a snapshot of the `Grappelli
admin skin for `Django`, to be referenced as a dependency for the
`Mezzanine CMS for Django.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        A snapshot of the grappelli_2 branch of django-grappelli, packaged as a dependency for the Mezzanine CMS for Django


%description -n python3-%{pypi_name}
grappelli_safe was created to provide a snapshot of the `Grappelli
admin skin for `Django`, to be referenced as a dependency for the
`Mezzanine CMS for Django.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc 
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.3.13-3.mga6
+ Revision: 970905
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.3.13-2.mga6
+ Revision: 888783
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.3.13-1.mga5
+ Revision: 795794
- imported package python-grappelli-safe

